Module | ActiveRecord::Transactions
In: | lib/active_record/transactions.rb

See ActiveRecord::Transactions::ClassMethods for documentation.

### Methods

included rollback_active_record_state! transaction with_transaction_returning_status

### Classes and Modules

Module ActiveRecord::Transactions::ClassMethods

### Public Class methods

included(base)

### Public Instance methods

rollback_active_record_state!() {|| ...}

Reset id and @new_record if the transaction rolls back.

transaction(&block)

See ActiveRecord::Transactions::ClassMethods for detailed documentation.

with_transaction_returning_status(method, *args)

Executes `method` within a transaction and captures its return value as a status flag. If the status is true the transaction is committed, otherwise a ROLLBACK is issued. In any case the status flag is returned.

This method is available within the context of an ActiveRecord::Base instance.

[Validate]